Subject: Re: bug#23225: 25.1.50; url-retrieve-synchronously having trouble with some https URLs

From: Chunyang Xu <[email-masked]>
Date: Sat, 11 Jun 2016 12:00:33 +0800

On Sun, Jun 5, 2016 at 12:23 AM, Noam Postavsky
<[email-masked]> wrote:
> merge 23225 23503
> tag 23225 + unreproducible
> quit
>
> It looks 23225 and 23503 are the same bug. I'm also unable to
> reproduce this on master. Tagging as unreproducible, but would be good
> to have confirmation in case this is OSX specific (I only checked on
> GNU/Linux).

I still have this problem on latest master branch, unlike this report,
ALL https urls I tried failed.  I also found the following workaround
solves it

  (advice-add 'gnutls-available-p :around #'ignore)

previously, gnutls-available-p returns t

(emacs-version)
    ⇒ "GNU Emacs 25.1.50.14 (x86_64-apple-darwin15.5.0, NS
appkit-1404.47 Version 10.11.5 (Build 15F34))
 of 2016-06-11"

emacs-repository-version
    ⇒ "c803af788d4140c7253b1d091e6f7fb63b5a214a"

> In GNU Emacs 25.1.50.3 (x86_64-unknown-linux-gnu, X toolkit)
>  of 2016-05-30 built on zony
> Repository revision: 237244bbd5ce753bcdf79634561de515bd76c687
> Windowing system distributor 'The X.Org Foundation', version 11.0.11803000